24.04.2024

Уязвимость в NFS-сервере FreeBSD и OpenBSD, приводящая к удалённому выполнению кода

В реализации NFS-сервера, применяемого BSD-системах, выявлена критическая уязвимость (CVE-2024-29937), позволяющая добиться удалённого выполнения своего кода с правами root на сервере. Проблема проявляется во всех выпусках OpenBSD и FreeBSD, вплоть до OpenBSD 7.4 и FreeBSD 14.0-RELEASE. Детальная информация об уязвимости пока не раскрывается, известно только то, что проблема вызвана логической ошибкой, не связанной с повреждением памяти. Отмечается, что уязвимость легко может быть эксплуатирована и использована для атаки на системы, в которых применяется NFS, но судя по видеодемонстрации уязвимость позволяет получить полный доступ к корневой ФС сервера и требует для эксплуатации наличия прав для монтирования разделов по NFS. Доклад о сути уязвимости будет предложен 18 апреля на конференции T2’24.

Источник: https://www.opennet.ru/opennews/art.shtml?num=60845 Источник.